Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: libembperl-perl

libembperl-perl (2.5.0-13ubuntu1) focal; urgency=medium * gettid-in-glibc.patch: As of glibc 2.30, gettid() is defined, just remove the nasty ifndef check entirely, since it won't find the function. -- Adam Conrad <adconrad@ubuntu.com> Sun, 20 Oct 2019 03:16:30 -0600

Modifications :
  1. Download patch debian/control

    --- 2.5.0-13/debian/control 2019-10-07 17:19:22.000000000 +0000 +++ 2.5.0-13ubuntu1/debian/control 2019-10-20 09:16:30.000000000 +0000 @@ -1,5 +1,6 @@ Source: libembperl-perl -Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> Uploaders: Dominic Hargreaves <dom@earth.li>, Florian Schlichting <fsfs@debian.org>, Axel Beckert <abe@debian.org>
  2. Download patch debian/patches/gettid-in-glibc.patch

    --- 2.5.0-13/debian/patches/gettid-in-glibc.patch 1970-01-01 00:00:00.000000000 +0000 +++ 2.5.0-13ubuntu1/debian/patches/gettid-in-glibc.patch 2019-10-20 09:16:30.000000000 +0000 @@ -0,0 +1,26 @@ +Description: As of glibc 2.30, gettid() is defined, just remove + the nasty ifndef check entirely, since it won't find the function. +Author: Adam Conrad <adconrad@ubuntu.com> +Last-Update: 2019-10-20 + +--- libembperl-perl-2.5.0.orig/mod_embperl.c ++++ libembperl-perl-2.5.0/mod_embperl.c +@@ -34,18 +34,6 @@ + #undef getenv + #undef getpid + +-/* define get thread id if not already done by Apache */ +-#ifndef gettid +-#ifdef WIN32 +-#define gettid GetCurrentThreadId +-#else +-static int gettid() +- { +- return 0 ; +- } +-#endif +-#endif +- + #ifndef APACHE2 + /* from mod_perl 1.x */ + apr_pool_t * perl_get_startup_pool (void)
  3. Download patch debian/patches/series

    --- 2.5.0-13/debian/patches/series 2019-10-07 17:19:22.000000000 +0000 +++ 2.5.0-13ubuntu1/debian/patches/series 2019-10-20 09:16:30.000000000 +0000 @@ -9,3 +9,4 @@ unescaped-left-brace.patch fix-undefined-behaviour-causing-FTBFS-with-Perl-5.28.patch fix-Makefile.PL-for-running-without-PERL_USE_UNSAFE_INC.patch fix-outdated-Apache.pm-reference-in-POD.patch +gettid-in-glibc.patch

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: liblog-agent-perl

liblog-agent-perl (1.001-2ubuntu2) focal; urgency=medium * d/t/control: mark the heavy-deps test command as skippable (LP: #1870535). -- Lucas Kanashiro <lucas.kanashiro@canonical.com> Fri, 03 Apr 2020 09:37:13 -0300 liblog-agent-perl (1.001-2ubuntu1) zesty; urgency=low * Merge from Debian unstable. Remaining change: + Depend on libmailtools-perl for runtime-deps-and-recommends autopkgtest; this is also covered by needs-recommends, but an explicit dependency forces autopkgtest not to drop it during Perl transitions due to pinning only necessary packages from -proposed. -- Iain Lane <iain.lane@canonical.com> Mon, 31 Oct 2016 19:17:00 +0000

Modifications :
  1. Download patch debian/tests/control

    --- 1.001-2/debian/tests/control 1970-01-01 00:00:00.000000000 +0000 +++ 1.001-2ubuntu2/debian/tests/control 2020-04-03 12:37:13.000000000 +0000 @@ -0,0 +1,13 @@ +Test-Command: /usr/share/pkg-perl-autopkgtest/runner build-deps +Depends: @, @builddeps@, pkg-perl-autopkgtest + +Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps +Depends: @, pkg-perl-autopkgtest + +Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends +Depends: @, pkg-perl-autopkgtest, libmailtools-perl +Restrictions: needs-recommends + +Test-Command: /usr/share/pkg-perl-autopkgtest/runner heavy-deps +Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy +Restrictions: skippable
  2. Download patch debian/control

    --- 1.001-2/debian/control 2016-09-17 12:50:08.000000000 +0000 +++ 1.001-2ubuntu2/debian/control 2016-10-31 19:16:35.000000000 +0000 @@ -1,5 +1,6 @@ Source: liblog-agent-perl -Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> Uploaders: Ansgar Burchardt <ansgar@debian.org>, Florian Schlichting <fsfs@debian.org> Section: perl

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: libpoe-component-client-dns-perl

libpoe-component-client-dns-perl (1:1.054-1ubuntu1) yakkety; urgency=medium * Restore delta from 1:1.053-1ubuntu1, which apparently is still necessary (although it built properly without it in my pbuilder without network access). - debian/rules: Delete test 06, as it requires internet connectivity. -- Logan Rosen <logan@ubuntu.com> Fri, 24 Jun 2016 22:21:13 -0400

Modifications :
  1. Download patch debian/rules

    --- 1:1.054-1/debian/rules 2011-12-13 22:26:14.000000000 +0000 +++ 1:1.054-1ubuntu1/debian/rules 2016-06-25 02:21:10.000000000 +0000 @@ -2,3 +2,7 @@ %: dh $@ + +override_dh_auto_clean: + dh_auto_clean + rm -f t/06_hosts.t #delete test 06 as it requires internet connectivity
  2. Download patch debian/control

    --- 1:1.054-1/debian/control 2015-11-13 21:35:11.000000000 +0000 +++ 1:1.054-1ubuntu1/debian/control 2016-06-25 02:22:28.000000000 +0000 @@ -1,5 +1,6 @@ Source: libpoe-component-client-dns-perl -Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> Uploaders: Jonathan Yu <jawnsy@cpan.org>, Antonio Radici <antonio@dyne.org>, Jose Luis Rivas <ghostbar38@gmail.com>,

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: libpoe-test-loops-perl

libpoe-test-loops-perl (1.360-1ubuntu3) groovy; urgency=medium * Revert ubuntu delta, now useless with new autodep8 perl package, and exit 77 for heavy-deps test seems not seen as superficial result, making the test fail. -- Gianfranco Costamagna <locutusofborg@debian.org> Thu, 07 May 2020 13:49:51 +0200 libpoe-test-loops-perl (1.360-1ubuntu2) xenial; urgency=medium * Remove stray copied-and-pasted libdbi-perl from debian/tests/control. -- Colin Watson <cjwatson@ubuntu.com> Mon, 28 Dec 2015 14:19:09 +0000 libpoe-test-loops-perl (1.360-1ubuntu1) xenial; urgency=medium * Depend on libpoe-perl for runtime-deps-and-recommends autopkgtest; this is also covered by needs-recommends, but an explicit dependency forces autopkgtest not to drop it during Perl transitions due to pinning only necessary packages from -proposed. -- Colin Watson <cjwatson@ubuntu.com> Mon, 28 Dec 2015 14:03:21 +0000

Modifications :
  1. There are no changes
  1. libembperl-perl
  2. liblog-agent-perl
  3. libpoe-component-client-dns-perl
  4. libpoe-test-loops-perl